Bug 1575327 - [abrt] cinnamon: split(): posixpath.py:107:split:TypeError: expected str, bytes or os.PathLike object, not NoneType
Summary: [abrt] cinnamon: split(): posixpath.py:107:split:TypeError: expected str, byt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4f06f1dfd98e3c26b3772af88c0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 01:03 UTC by outside_boi
Modified: 2018-10-01 02:46 UTC (History)
2 users (show)

Fixed In Version: cinnamon-3.8.9-1.fc29 cinnamon-3.8.9-1.fc27 cinnamon-3.8.9-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 23:26:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (602 bytes, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: environ (1.38 KB, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: mountinfo (3.50 KB, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details
File: open_fds (2.09 KB, text/plain)
2018-05-06 01:03 UTC, outside_boi
no flags Details

Description outside_boi 2018-05-06 01:03:25 UTC
Description of problem:
I tried to delete the category "wine-wine" in the menu editor and it threw this unexpected quit message at me.

Version-Release number of selected component:
cinnamon-3.8.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/cinnamon-menu-editor
crash_function: split
exception_type: TypeError
executable:     /usr/bin/cinnamon-menu-editor
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
posixpath.py:107:split:TypeError: expected str, bytes or os.PathLike object, not NoneType

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-menu-editor/cme/MainWindow.py", line 71, in menuChanged
    self.loadUpdates()
  File "/usr/share/cinnamon/cinnamon-menu-editor/cme/MainWindow.py", line 86, in loadUpdates
    item_id = os.path.split(items[iter][3].get_desktop_file_path())[1]
  File "/usr/lib64/python3.6/posixpath.py", line 107, in split
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

Local variables in innermost frame:
p: None

Comment 1 outside_boi 2018-05-06 01:03:30 UTC
Created attachment 1432192 [details]
File: backtrace

Comment 2 outside_boi 2018-05-06 01:03:31 UTC
Created attachment 1432193 [details]
File: cgroup

Comment 3 outside_boi 2018-05-06 01:03:33 UTC
Created attachment 1432194 [details]
File: cpuinfo

Comment 4 outside_boi 2018-05-06 01:03:34 UTC
Created attachment 1432195 [details]
File: environ

Comment 5 outside_boi 2018-05-06 01:03:36 UTC
Created attachment 1432196 [details]
File: mountinfo

Comment 6 outside_boi 2018-05-06 01:03:37 UTC
Created attachment 1432197 [details]
File: namespaces

Comment 7 outside_boi 2018-05-06 01:03:39 UTC
Created attachment 1432198 [details]
File: open_fds

Comment 8 Fedora Update System 2018-09-21 18:37:38 UTC
cinnamon-3.8.9-1.fc29 cinnamon-control-center-3.8.2-1.fc29 cinnamon-settings-daemon-3.8.6-1.fc29 muffin-3.8.3-1.fc29 nemo-3.8.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 9 Fedora Update System 2018-09-21 18:38:07 UTC
cinnamon-3.8.9-1.fc27 cinnamon-control-center-3.8.2-1.fc27 cinnamon-settings-daemon-3.8.6-1.fc27 muffin-3.8.3-1.fc27 nemo-3.8.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 10 Fedora Update System 2018-09-21 18:38:33 UTC
cinnamon-3.8.9-1.fc28 cinnamon-control-center-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.6-1.fc28 muffin-3.8.3-1.fc28 nemo-3.8.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 11 Fedora Update System 2018-09-22 20:05:21 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 12 Fedora Update System 2018-09-22 20:41:46 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 13 Fedora Update System 2018-09-22 22:14:00 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 14 Fedora Update System 2018-09-30 23:26:11 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-01 01:22:21 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-10-01 02:46:46 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.